package logback;

import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class LogArrayTest {
    private static Logger LOG = LoggerFactory.getLogger(LogArrayTest.class);

    /** this one works. */
    @Test
    public void testIntArray() {
        int[] array = {1, 2, 3, 4, 5, 6, 7, 8};

        LOG.debug("the array={}", array);

        // output is the array=[1, 2, 3, 4, 5, 6, 7, 8]
    }

    @Test
    public void testTypeArray() {
        ParameterizedTypeTestChild pttc = new ParameterizedTypeTestChild();

        // note only the first element is logged, Long
        // ActualTypeArguments=class java.lang.Long
    }

}
